GNU bug report logs - #40248
27.0.90; Failure open .authinfo.gpg from Gnus

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN>; dated Thu, 26 Mar 2020 23:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 3 Apr 2020 11:43:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 07:43:47 2020
Received: from localhost ([127.0.0.1]:41295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKKjj-0000pa-AY
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 07:43:47 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:47080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jKKjh-0000p6-Rv
 for 40248 <at> debbugs.gnu.org; Fri, 03 Apr 2020 07:43:46 -0400
Received: by mail-wr1-f41.google.com with SMTP id j17so8061774wru.13
 for <40248 <at> debbugs.gnu.org>; Fri, 03 Apr 2020 04:43:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:message-id:mime-version;
 bh=UbtsB33lOpwCj3HgtdWmdLozsTPDYAEIKmPjbVq1Ogs=;
 b=CQvhwZ1PaYdQKEB3kUh502W74fhPAr4z+0uJPlNypvKST65dq00Bw3d9W+he8Tctal
 maibhWZ3kUs4gdnD+wrP5zbUWG2xg3FJA3M+UkI82SWnsGVBAHixHfDGWjx/JkQUJxft
 0IgJVGO7Y1LkRp+VObOrWWCsFMqvnTxrrqM8WSXpMQyUSWugjVcnZ2fablsuSCiXjd1r
 PkYJLFZcQqVXNwRx/m6Cd3SdPRYDlvvo9RVgO31rJ6ppov6uC0Gi3Zo+5VPZppDWS36D
 ZHyfHqJpAuJUxyROVz3IVvoZQ0iUfe0PCaPD13sNgQ8EA9f20BNb3mVDUoFA5bNLBVew
 O9nw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :mime-version;
 bh=UbtsB33lOpwCj3HgtdWmdLozsTPDYAEIKmPjbVq1Ogs=;
 b=cEG5zIbqGhp42c8l7K6UC+fpNxZuqeBMd1d2TK0czrW+ncHtWLlzpYeQfEx4CLgE8g
 498JHAV42jKxFUPs3AB1eQHsR0J1NXiR54iMeboNxQphBys8c136YJvQKLnnQ5WShlRK
 MOmVB1dQv82R2leOv3vT26yTs09+SNcNSNUjIyJcQwV5Sb6O3LvnFUY6vwGO/YXrJbTb
 1CRCKCvGz4Ik8d57uve6cuYbKuSqJ4WowyeHSRaHjb7OVLffGIZqEbUEx9U7dgzS/+10
 spopQ6IkldFGs7kSUp/S8yUmkDm355Hj95pFzwR5OzEfijHq/nqHao1JDlrmqeg4jwtH
 n1fw==
X-Gm-Message-State: AGi0PubbvYeK9IKvuqFM00GbVLyIqsLfY+TxcpoRz8H7igDPaF9SLNkd
 ppkRjmiNXiSl1fl1CmKcCU2w58a6
X-Google-Smtp-Source: APiQypL817vKgcwfCX6DhY0I1IEFmQAVbyrelc/8dTHNhL7dqz3U6/fP7kJo0mZ9+4ie4Q0AX3HP0w==
X-Received: by 2002:a05:6000:114f:: with SMTP id
 d15mr9015889wrx.143.1585914219591; 
 Fri, 03 Apr 2020 04:43:39 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:30c1:b817:7653:c738])
 by smtp.gmail.com with ESMTPSA id t12sm12158408wrm.0.2020.04.03.04.43.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Apr 2020 04:43:38 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
 <83bloe3s5k.fsf@HIDDEN> <m2mu7y53xh.fsf@HIDDEN>
 <83y2rh3ob9.fsf@HIDDEN> <87wo6ym9b4.fsf@HIDDEN>
 <83r1x4x0tc.fsf@HIDDEN>
Date: Fri, 03 Apr 2020 13:43:37 +0200
Message-ID: <m2v9mgyety.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 03 Apr 2020 14:31:43 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Lars Ingebrigtsen <larsi@HIDDEN>
    >> Cc: Robert Pluim <rpluim@HIDDEN>,  juanjose.garcia.ripoll@HIDDEN,
    >> 40248 <at> debbugs.gnu.org
    >> Date: Thu, 02 Apr 2020 13:11:27 +0200
    >> 
    >> Eli Zaretskii <eliz@HIDDEN> writes:
    >> 
    >> > Thanks.  In that case, 'undecided' is exactly right.
    >> 
    >> Yeah, sounds like it.

    Eli> Thanks, pushed to the emacs-27 branch.

    Eli> I'm not closing the bug because we still didn't make the more invasive
    Eli> change on master, AFAIR.

I was waiting to see if Lars or anybody had any more comments. I can
post the complete patch over in emacs-devel.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.
Removed indication that bug 40248 blocks Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 3 Apr 2020 11:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 07:32:05 2020
Received: from localhost ([127.0.0.1]:41278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKKYO-0008Vz-UH
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 07:32:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jKKYN-0008PW-Ax
 for 40248 <at> debbugs.gnu.org; Fri, 03 Apr 2020 07:32:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43485)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jKKYI-00044v-2Q; Fri, 03 Apr 2020 07:31:58 -0400
Received: from [176.228.60.248] (port=3829 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jKKYH-00054X-9l; Fri, 03 Apr 2020 07:31:57 -0400
Date: Fri, 03 Apr 2020 14:31:43 +0300
Message-Id: <83r1x4x0tc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wo6ym9b4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 02 Apr 2020 13:11:27 +0200)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
 <83bloe3s5k.fsf@HIDDEN> <m2mu7y53xh.fsf@HIDDEN>
 <83y2rh3ob9.fsf@HIDDEN> <87wo6ym9b4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, rpluim@HIDDEN, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  juanjose.garcia.ripoll@HIDDEN,
>   40248 <at> debbugs.gnu.org
> Date: Thu, 02 Apr 2020 13:11:27 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Thanks.  In that case, 'undecided' is exactly right.
> 
> Yeah, sounds like it.

Thanks, pushed to the emacs-27 branch.

I'm not closing the bug because we still didn't make the more invasive
change on master, AFAIR.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 2 Apr 2020 11:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 07:11:40 2020
Received: from localhost ([127.0.0.1]:39280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJxl5-0000tt-Sk
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 07:11:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jJxl3-0000tN-LW
 for 40248 <at> debbugs.gnu.org; Thu, 02 Apr 2020 07:11:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SiM/uMrpPp7ABo7eeHWvZ+IJHp6hxFkbtqpTRTp6ANI=; b=a9ODwvefubbWKGdou01qZqbQd2
 e+s9XflC0G+lkfvpoSsKHwjwQoF6C64+xntV13QkuaPcJaJ/M1ZbCEIy0RyMHNS8kasuOKL/ZAL6S
 GO9jO/0difeieGV96lYhzL9RwHR1VjGXHN7/YWHVvS/PtiqDOLOq+jVjN6wtuW+xAruQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jJxku-0005Bm-Je; Thu, 02 Apr 2020 13:11:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
 <83bloe3s5k.fsf@HIDDEN> <m2mu7y53xh.fsf@HIDDEN>
 <83y2rh3ob9.fsf@HIDDEN>
Date: Thu, 02 Apr 2020 13:11:27 +0200
In-Reply-To: <83y2rh3ob9.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 30 Mar
 2020 17:33:14 +0300")
Message-ID: <87wo6ym9b4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Thanks. In that case, 
 'undecided' is exactly right. Yeah, sounds like it. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, Robert Pluim <rpluim@HIDDEN>,
 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks.  In that case, 'undecided' is exactly right.

Yeah, sounds like it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 14:33:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 10:33:13 2020
Received: from localhost ([127.0.0.1]:34853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIvTV-0003oM-LU
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:33:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jIvTT-0003o3-Mr
 for 40248 <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:33:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45576)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jIvTO-00042f-Cj; Mon, 30 Mar 2020 10:33:06 -0400
Received: from [176.228.60.248] (port=1820 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jIvTN-0003yB-KK; Mon, 30 Mar 2020 10:33:06 -0400
Date: Mon, 30 Mar 2020 17:33:14 +0300
Message-Id: <83y2rh3ob9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <m2mu7y53xh.fsf@HIDDEN> (message from Robert Pluim on Mon, 30
 Mar 2020 16:10:34 +0200)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
 <83bloe3s5k.fsf@HIDDEN> <m2mu7y53xh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, larsi@HIDDEN, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: larsi@HIDDEN,  juanjose.garcia.ripoll@HIDDEN,  40248 <at> debbugs.gnu.org
> Date: Mon, 30 Mar 2020 16:10:34 +0200
> 
>     >> My (admittedly fallible) memory is that gpg always uses UTF-8 for
>     >> non-ASCII data (except for some old versions that %-escape it instead).
> 
>     Eli> Is that true even on MS-Windows?  can someone please verify that?  If
>     Eli> gpg uses UTF-8 on all platforms, the 'undecided' isn't TRT, as in some
>     Eli> cases Emacs could mistakenly decide the encoding is the current system
>     Eli> codepage.  We should use 'utf-8' instead if UTF-8 is guaranteed.
> 
> Having now re-checked it, I was wrong. gpg uses UTF-8 consistenly
> _internally_, but converts to/from whatever it thinks the native
> codepage is (on MS-Windows and unixy platforms).

Thanks.  In that case, 'undecided' is exactly right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 14:10:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 10:10:49 2020
Received: from localhost ([127.0.0.1]:34847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIv7o-0003DY-QN
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:10:49 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:39853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jIv7j-0003DG-O2
 for 40248 <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:10:47 -0400
Received: by mail-wm1-f49.google.com with SMTP id e9so10152108wme.4
 for <40248 <at> debbugs.gnu.org>; Mon, 30 Mar 2020 07:10:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=J9m4qZhctdQQfsNWUR9J5AhDPuAvo94NuAuVz6uXFS4=;
 b=MF9b4puNGcoe0T5g+FBR0NPXvzLNnl0n5FFSQ0IRX8OUOREpePib++VbMpquuyJLnS
 3vmUvc+bRtMR4OgfmhnJLYYNaefxyfsXEjxc5RR4SfJz1T/1+KvAMq74CeqG3r0qjTfy
 IWv5s3iPdN1X/X+2rzDQFZEV3diL8HMI3j0MRSXY3cdM9aQ5i6aZjJ6A6H10ymcobuEy
 rzdDvJjQ4xuUib63bALDa0a2KIP7oUPmLRpanXZZV3zLjnBgA92vTPdkBK3pjHKrmSqQ
 XF300c3CUSVMppsuReGrcGv03+oMwb5PzqN4Zd0SAnrUXOgODvmhIwILsYNiJMe53reD
 ZrLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=J9m4qZhctdQQfsNWUR9J5AhDPuAvo94NuAuVz6uXFS4=;
 b=sUBZcSGiKUbgGpgQUduNEjgv6FsL30MKQeVU5Ppa7eavfQclaHpNaBZY/XycQhIAxJ
 QePeYVoUxIkYjFNWrJ9oZb+XvkA0zbS6hbcik4xxDO/Jm+8CQ495Gqv2CoRk9scDZEuQ
 Rmi7WB3ZbwBM3kaOtNq+H4WJVcU7jyI//4yIChr+V8UXnLZP0RyfZDluN0S4fEv6lCzz
 qBnHmg3l2G7dWk2WGbKykrK3XN/aBf7Zsz2WOyEDuIYqXzokvVFbPD8at0ufM9OyAqrx
 YZRmEqp7q46YqlGK09M6qggAElOJKdAqoOnMVzs3eYYPNsHq6vufyO0c58aTWcZ05xV+
 1A9A==
X-Gm-Message-State: ANhLgQ3zlu66eRu19AQt5XMa65Ackap5tPEszo6SKvSO+mvc+ECOULgA
 Itolm6XOw2p4FQMB/Vhq9p6v0De7
X-Google-Smtp-Source: ADFU+vulIdLm1fKyYjjL1Egf0KkOmh8e+YBOANuiOdY9CqhlPl33gKcIVPlFGkP3zlAwq8SNUsSG5Q==
X-Received: by 2002:a7b:c205:: with SMTP id x5mr9370515wmi.189.1585577436603; 
 Mon, 30 Mar 2020 07:10:36 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:65f2:9a92:2c96:9204])
 by smtp.gmail.com with ESMTPSA id j135sm1209962wmj.46.2020.03.30.07.10.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Mar 2020 07:10:36 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
 <83bloe3s5k.fsf@HIDDEN>
Date: Mon, 30 Mar 2020 16:10:34 +0200
In-Reply-To: <83bloe3s5k.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 30 Mar
 2020 16:10:15 +0300")
Message-ID: <m2mu7y53xh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, larsi@HIDDEN, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 30 Mar 2020 16:10:15 +0300, Eli Zaretskii <eliz@HIDDEN> said:
    Eli> If you can find those cases where you saw non-ASCII data in this case,
    Eli> by all means describe them or point to relevant discussions.
    >> 
    >> My (admittedly fallible) memory is that gpg always uses UTF-8 for
    >> non-ASCII data (except for some old versions that %-escape it instead).

    Eli> Is that true even on MS-Windows?  can someone please verify that?  If
    Eli> gpg uses UTF-8 on all platforms, the 'undecided' isn't TRT, as in some
    Eli> cases Emacs could mistakenly decide the encoding is the current system
    Eli> codepage.  We should use 'utf-8' instead if UTF-8 is guaranteed.

Having now re-checked it, I was wrong. gpg uses UTF-8 consistenly
_internally_, but converts to/from whatever it thinks the native
codepage is (on MS-Windows and unixy platforms).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 13:10:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 09:10:14 2020
Received: from localhost ([127.0.0.1]:32905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIuBC-00010z-Cx
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 09:10:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jIuBA-00010g-Qj
 for 40248 <at> debbugs.gnu.org; Mon, 30 Mar 2020 09:10:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43608)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jIuB5-00064L-AJ; Mon, 30 Mar 2020 09:10:07 -0400
Received: from [176.228.60.248] (port=4285 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jIuB3-0004GP-Pu; Mon, 30 Mar 2020 09:10:06 -0400
Date: Mon, 30 Mar 2020 16:10:15 +0300
Message-Id: <83bloe3s5k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <m2wo725gkq.fsf@HIDDEN> (message from Robert Pluim on Mon, 30
 Mar 2020 11:37:25 +0200)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN> <m2wo725gkq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, larsi@HIDDEN, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  juanjose.garcia.ripoll@HIDDEN,
>   40248 <at> debbugs.gnu.org
> Date: Mon, 30 Mar 2020 11:37:25 +0200
> 
>     Eli> If that non-ASCII data is compatible with the default encoding, or if
>     Eli> Emacs will detect the encoding correctly given 'undecided', that
>     Eli> shouldn't be any problem.  And this function is only about getting the
>     Eli> gpg configuration, so what kind of non-ASCII data is expected there?
>     Eli> And how would using 'no-conversion' here help?
> 
>     Eli> If you can find those cases where you saw non-ASCII data in this case,
>     Eli> by all means describe them or point to relevant discussions.
> 
> My (admittedly fallible) memory is that gpg always uses UTF-8 for
> non-ASCII data (except for some old versions that %-escape it instead).

Is that true even on MS-Windows?  can someone please verify that?  If
gpg uses UTF-8 on all platforms, the 'undecided' isn't TRT, as in some
cases Emacs could mistakenly decide the encoding is the current system
codepage.  We should use 'utf-8' instead if UTF-8 is guaranteed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 09:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 05:37:35 2020
Received: from localhost ([127.0.0.1]:60909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIqrP-0001Va-G8
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 05:37:35 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:46152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jIqrN-0001VL-G7
 for 40248 <at> debbugs.gnu.org; Mon, 30 Mar 2020 05:37:33 -0400
Received: by mail-wr1-f48.google.com with SMTP id j17so20653696wru.13
 for <40248 <at> debbugs.gnu.org>; Mon, 30 Mar 2020 02:37:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=QMNth35tEzIiDMQ0MUVVOCLlMhONn2+tR8Ou0duvm/g=;
 b=XjxZ1NzXxv0H6DpiIDTnGyDVoxhS40rjweVgYTeZ1MmDnRyTUAnAQGKoDtngaPR6eE
 tx3s1Vy/DM1WoB2Eur2OSqVF/dkgEB+jYe8hy1pvbNTaN0GKOhSn3eJRZ4aGCiJPc6mU
 f0c779TiKYgFb2aEOVsumumSGGq4aTsITSWT4fBAbOsKVh0eNeRW/Hghsc++6X4NjPk0
 LewIhOz/BA8z+qYO1qouItltcp8+yP4Wu6J+6axHRGKTqFE0UCQ7gKh8mhe3np/xAvfB
 5BbGUAhl2zcvOA2fCf44dxhsw+WEZ7HO9DGNzTDC6J477qY6j3NAeBomhjj5Z0QxlYv7
 dYJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=QMNth35tEzIiDMQ0MUVVOCLlMhONn2+tR8Ou0duvm/g=;
 b=oUhvQzR8rWLIkT0Dz7PE67TNfRMjBd0xCfXGOADfK/R0CTtlVqOZkFMuai/3j0q9/a
 3JJoeAsRqGSxmzctouZzdncq8q1iuIlAGQyT5G3wFvcS2PckXJ5GpgCGLyhWWH07yC97
 lBiFpERPnpvGkJ3hnwIUl8PV7ALO7idJA0XjvT9hKuij0jGe59HBHvgvRUv6oiCl6hHV
 kSrdelA/4m/6W9zyiOeUbtEvLgt6mu2KTNGsDWijiWYi0zBQMntBTiUgVgxi7KXbkNfu
 X9NA35FYIkt8XY+3+nDfHkjBGEeDEwzNxoydCZpq5tUYY37rei7XAW2ME1nNN0ak13Ft
 eyZg==
X-Gm-Message-State: ANhLgQ2YO1HnQIFQRuZvaWA3FR4cqkCVj2BMTsfX5xN+w3/d4gOIJb0l
 Mk7aRjmpj4k4tr6n4VKVbfQ2tTHS
X-Google-Smtp-Source: ADFU+vvk3uJGaGDR2q9I8VlXEFtNEbvj3FEOTq4YNvdKBc3jydBnlIHbK55Y4SqaMBheowQ7yApIwQ==
X-Received: by 2002:a5d:4705:: with SMTP id y5mr14511747wrq.288.1585561046968; 
 Mon, 30 Mar 2020 02:37:26 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:bdc9:e98c:bf1f:4cce])
 by smtp.gmail.com with ESMTPSA id t12sm23434973wrm.0.2020.03.30.02.37.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Mar 2020 02:37:26 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
 <83h7y75kvh.fsf@HIDDEN>
Date: Mon, 30 Mar 2020 11:37:25 +0200
In-Reply-To: <83h7y75kvh.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 29 Mar
 2020 16:52:18 +0300")
Message-ID: <m2wo725gkq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sun, 29 Mar 2020 16:52:18 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Lars Ingebrigtsen <larsi@HIDDEN>
    >> Cc: Juan Jos=C3=A9 Garc=C3=ADa-Ripoll
    >> <juanjose.garcia.ripoll@HIDDEN>,
    >> 40248 <at> debbugs.gnu.org
    >> Date: Sun, 29 Mar 2020 09:48:59 +0200
    >>=20
    >> Eli Zaretskii <eliz@HIDDEN> writes:
    >>=20
    >> > +      ;; The caller might have bound coding-system-for-* to somet=
hing
    >> > +      ;; like 'no-conversion, but the below needs to call PROGRAM
    >> > +      ;; expecting human-readable text in both directions (since =
we
    >> > +      ;; are going to parse the output as text), so let Emacs gue=
ss
    >> > +      ;; the encoding of that text by its usual encoding-detection
    >> > +      ;; machinery.
    >> > +      (let ((coding-system-for-read 'undecided)
    >> > +            (coding-system-for-write 'undecided))
    >>=20
    >> I think this probably is the right thing here, but I'm not 100% sure=
 --
    >> I seem to remember there being some issue of people putting non-ASCII
    >> stuff in the name parts of the gpg data and then Emacs having a prob=
lem
    >> of matching that up to the data we're looking for...

    Eli> If that non-ASCII data is compatible with the default encoding, or=
 if
    Eli> Emacs will detect the encoding correctly given 'undecided', that
    Eli> shouldn't be any problem.  And this function is only about getting=
 the
    Eli> gpg configuration, so what kind of non-ASCII data is expected ther=
e?
    Eli> And how would using 'no-conversion' here help?

    Eli> If you can find those cases where you saw non-ASCII data in this c=
ase,
    Eli> by all means describe them or point to relevant discussions.

My (admittedly fallible) memory is that gpg always uses UTF-8 for
non-ASCII data (except for some old versions that %-escape it instead).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From eliz@HIDDEN Sun Mar 29 09:52:17 2020
Received: from eggs.gnu.org ([209.51.188.92]:44367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jIYML-0002Jz-7b
 for 40248 <at> debbugs.gnu.org; Sun, 29 Mar 2020 09:52:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51139)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jIYMF-0006Lq-Mi; Sun, 29 Mar 2020 09:52:11 -0400
Received: from [176.228.60.248] (port=2594 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jIYMF-0002hf-5L; Sun, 29 Mar 2020 09:52:11 -0400
Date: Sun, 29 Mar 2020 16:52:18 +0300
Message-Id: <83h7y75kvh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: juanjose.garcia.ripoll@HIDDEN, 40248 <at> debbugs.gnu.org
In-Reply-To: <87zhbzsis4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 29 Mar 2020 09:48:59 +0200)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87zhbzsis4.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 13:52:17 -0000

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Juan Jos Garca-Ripoll
>  <juanjose.garcia.ripoll@HIDDEN>,
>   40248 <at> debbugs.gnu.org
> Date: Sun, 29 Mar 2020 09:48:59 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > +      ;; The caller might have bound coding-system-for-* to something
> > +      ;; like 'no-conversion, but the below needs to call PROGRAM
> > +      ;; expecting human-readable text in both directions (since we
> > +      ;; are going to parse the output as text), so let Emacs guess
> > +      ;; the encoding of that text by its usual encoding-detection
> > +      ;; machinery.
> > +      (let ((coding-system-for-read 'undecided)
> > +            (coding-system-for-write 'undecided))
> 
> I think this probably is the right thing here, but I'm not 100% sure --
> I seem to remember there being some issue of people putting non-ASCII
> stuff in the name parts of the gpg data and then Emacs having a problem
> of matching that up to the data we're looking for...

If that non-ASCII data is compatible with the default encoding, or if
Emacs will detect the encoding correctly given 'undecided', that
shouldn't be any problem.  And this function is only about getting the
gpg configuration, so what kind of non-ASCII data is expected there?
And how would using 'no-conversion' here help?

If you can find those cases where you saw non-ASCII data in this case,
by all means describe them or point to relevant discussions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From eliz@HIDDEN Sun Mar 29 09:49:13 2020
Received: from eggs.gnu.org ([209.51.188.92]:44141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jIYJM-0002FE-TW
 for 40248 <at> debbugs.gnu.org; Sun, 29 Mar 2020 09:49:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51099)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jIYJH-0001qq-7U; Sun, 29 Mar 2020 09:49:07 -0400
Received: from [176.228.60.248] (port=2396 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jIYJ5-0002Ux-NJ; Sun, 29 Mar 2020 09:48:57 -0400
Date: Sun, 29 Mar 2020 16:49:03 +0300
Message-Id: <83imin5l0w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: juanjose.garcia.ripoll@HIDDEN, 40248 <at> debbugs.gnu.org
In-Reply-To: <874ku7txho.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 29 Mar 2020 09:45:55 +0200)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87a740ub2r.fsf@HIDDEN>
 <83tv287s9j.fsf@HIDDEN> <874ku7txho.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 13:49:13 -0000

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: juanjose.garcia.ripoll@HIDDEN,  40248 <at> debbugs.gnu.org
> Date: Sun, 29 Mar 2020 09:45:55 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > But then only the encoding of the network process started by
> > nnimap-open-connection-1 should be made no-conversion.
> 
> I'm not sure I quite follow; if I misunderstand, I apologise:
> 
> Do you mean as a :coding parameter to make-network-process?
> nnimap-open-connection-1 doesn't call that function directly, and the
> functions it does call doesn't take any :coding parameters.

We could extend open-network-stream to accept :coding and pass that to
make-network-process.  Or we could call set-process-coding-system
right after open-network-stream returns.

> > By contrast, binding coding-system-for-* around the call to
> > open-network-stream has much wider consequences, as it affects _any_
> > code run as part of open-network-stream, in particularly
> > epg-find-configuration, which has nothing to do with the network
> > stream.
> 
> Yes, that's unfortunate -- the "bind variables as a way of passing in
> parameters" thing that Emacs does a lot is a really bad one.  I think
> the fix here would be to change open-network-stream, at least, to have a
> :coding parameter (and pass it on).

Yes, let's do that on master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 02:35:36 +0000
From larsi@HIDDEN Sun Mar 29 03:49:10 2020
Received: from quimby.gnus.org ([95.216.78.240]:49770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jISgv-0005q2-Cu
 for 40248 <at> debbugs.gnu.org; Sun, 29 Mar 2020 03:49:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=izH+dxS1c1M5FMZ8OupSMZYdNDmWsRWEnNouXKw1ASc=; b=rGCa1P/J44Jx1YlBWDfjGgWzH9
 8DFFOHcRmsCvWhTcF624l5+1U9JmQr8jGE4Ew599ytoERwXek8nSN7bIgZXrzdV5sT7iTz8/MWHWr
 MDuSJgqcVB27s3ZcZ2X0GMupyP7gkKHz3BHQfI8N9GVP4+We6BtRNjW3A2aQQlNvDoes=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jISgm-0005WF-Rt; Sun, 29 Mar 2020 09:49:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>, 40248 <at> debbugs.gnu.org
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN>
Date: Sun, 29 Mar 2020 09:48:59 +0200
In-Reply-To: <834ku89anf.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 Mar
 2020 10:55:00 +0300")
Message-ID: <87zhbzsis4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > + ; ; The caller might
 have bound coding-system-for-* to something > + ;; like 'no-conversion, but
 the below needs to call PROGRAM > + ;; expecting human-readable text in both
 directions (since we > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 07:49:10 -0000

Eli Zaretskii <eliz@HIDDEN> writes:

> +      ;; The caller might have bound coding-system-for-* to something
> +      ;; like 'no-conversion, but the below needs to call PROGRAM
> +      ;; expecting human-readable text in both directions (since we
> +      ;; are going to parse the output as text), so let Emacs guess
> +      ;; the encoding of that text by its usual encoding-detection
> +      ;; machinery.
> +      (let ((coding-system-for-read 'undecided)
> +            (coding-system-for-write 'undecided))

I think this probably is the right thing here, but I'm not 100% sure --
I seem to remember there being some issue of people putting non-ASCII
stuff in the name parts of the gpg data and then Emacs having a problem
of matching that up to the data we're looking for...

I may be misremembering, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 30 Mar 2020 02:35:36 +0000
From larsi@HIDDEN Sun Mar 29 03:46:52 2020
Received: from quimby.gnus.org ([95.216.78.240]:49748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jISe0-0005ki-Pt
 for 40248 <at> debbugs.gnu.org; Sun, 29 Mar 2020 03:46:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7LbINVoqesfEI/7FjHK5NoynTKV7g6ZkNLZ1V467cDM=; b=WNBx0Vx1+h0D9TLb+CrSuMvNaj
 5knH1iEteHfyo3uYy9lsQjO58wl+Yno7j/bEtpda1GWNuH2iQRUsvxvvG0z9iPMHBpPJyI53YQ3EU
 LU/p0hxgkpcm4CVVV6LfA3a/eapDayH5aWSTQku7uEejoNLahvdEHdVDiNxg7AtCKCpQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jISdn-0005U7-Uk; Sun, 29 Mar 2020 09:46:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: juanjose.garcia.ripoll@HIDDEN,  40248 <at> debbugs.gnu.org
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87a740ub2r.fsf@HIDDEN>
 <83tv287s9j.fsf@HIDDEN>
Date: Sun, 29 Mar 2020 09:45:55 +0200
In-Reply-To: <83tv287s9j.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 Mar
 2020 12:17:28 +0300")
Message-ID: <874ku7txho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > But then only the
 encoding
 of the network process started by > nnimap-open-connection-1 should be made
 no-conversion. I'm not sure I quite follow; if I misunderstand, I apologise:
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 07:46:52 -0000

Eli Zaretskii <eliz@HIDDEN> writes:

> But then only the encoding of the network process started by
> nnimap-open-connection-1 should be made no-conversion.

I'm not sure I quite follow; if I misunderstand, I apologise:

Do you mean as a :coding parameter to make-network-process?
nnimap-open-connection-1 doesn't call that function directly, and the
functions it does call doesn't take any :coding parameters.

> By contrast, binding coding-system-for-* around the call to
> open-network-stream has much wider consequences, as it affects _any_
> code run as part of open-network-stream, in particularly
> epg-find-configuration, which has nothing to do with the network
> stream.

Yes, that's unfortunate -- the "bind variables as a way of passing in
parameters" thing that Emacs does a lot is a really bad one.  I think
the fix here would be to change open-network-stream, at least, to have a
:coding parameter (and pass it on).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 28 Mar 2020 14:36:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 10:36:49 2020
Received: from localhost ([127.0.0.1]:34916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jICZt-00077L-0V
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 10:36:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jICZq-000776-Hj
 for 40248 <at> debbugs.gnu.org; Sat, 28 Mar 2020 10:36:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34762)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jICZl-000712-0U; Sat, 28 Mar 2020 10:36:41 -0400
Received: from [176.228.60.248] (port=4815 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jICZj-00048h-9R; Sat, 28 Mar 2020 10:36:39 -0400
Date: Sat, 28 Mar 2020 17:36:43 +0300
Message-Id: <837dz47dhg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan Jose Garcia Ripoll <juanjose.garcia.ripoll@HIDDEN>
In-Reply-To: <20200328150314.Horde.JkN5R_26i9JhryxTWM7HZSj@HIDDEN>
 (message from Juan Jose Garcia Ripoll on Sat, 28 Mar 2020 15:03:14
 +0100)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN> <834ku89anf.fsf@HIDDEN>
 <20200328150314.Horde.JkN5R_26i9JhryxTWM7HZSj@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sat, 28 Mar 2020 15:03:14 +0100
> From: Juan Jose Garcia Ripoll <juanjose.garcia.ripoll@HIDDEN>
> Cc: 40248 <at> debbugs.gnu.org
> 
>  Thanks, that is very useful.  Does the patch below give good results,
>  both in your Gnus scenario and when epg-find-configuration is called
>  in other contexts you are aware of and use?
> 
> To me it works perfectly. No errors reported, neither here, nor in separate invocations. Thanks!

Thanks for testing.  I will wait for Lars to respond to my last
message in this thread, and then decide what to do about this problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 28 Mar 2020 14:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 10:03:21 2020
Received: from localhost ([127.0.0.1]:34906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIC3U-0006Dr-QP
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 10:03:21 -0400
Received: from cel1.sgai.csic.es ([161.111.10.57]:11050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jIC3S-0006Di-L7
 for 40248 <at> debbugs.gnu.org; Sat, 28 Mar 2020 10:03:19 -0400
IronPort-SDR: j7p+tjAshtGqDsKWVOVg/wM8iJphydD/DDxJsDv63Lfw8vVcKLIPY1lDHoWWyQ1p1EXpirZGmA
 VRzSMn8E3nKvlTvzUyeKnkB4ajMs/2rgBeF0waq+clZu9BfevxP36ievn7Yz9cwZAz3H9kTqg5
 VspO3CJe3hSssunrOL+xQCIt5f/6/MULagr/kiJlVvP0bLylLT80Ia4GmQgAgASXJ0JKLPJ6HZ
 Kj48fb9Edds+0oJAQ4vXOMAN0XWjtkgWQq3rJUNfTZWgTjRngljt80eMOZwSKDx8a/zHf/+Ldv
 Wxw=
IronPort-PHdr: =?us-ascii?q?9a23=3A/oxwiBX+vErB6QclHkVuTkhirbzV8LGtZVwlr6?=
 =?us-ascii?q?E/grcLSJyIuqrYbROOt8tkgFKBZ4jH8fUM07OQ7/m8HzVeuN3c7jgrS99laV?=
 =?us-ascii?q?wssY0uhQsuAcqIWwXQDcXBSGgEJvlET0Jv5HqhMEJYS47UblzWpWCuv3ZJQk?=
 =?us-ascii?q?2sfQV6Kf7oFYHMks+5y/69+4HJYwVPmTGxfa5+IA+5oAnMucQam5ZuJ6csxh?=
 =?us-ascii?q?fGonZFevldyH91K16Ugxvz6cC88YJ5/S9Nofwh7clAUav7f6Q8U7NVCSktPn?=
 =?us-ascii?q?426sP2qxTNVBOD6XQAXGoYlBpIGBXF4wrhXpjtqCv6t/Fy1zecMMbrUL07Qz?=
 =?us-ascii?q?Wi76NsSB/1lCcKMiMy/W/LhsBsiq9QvQmsrAJjzYHKfI6VNeJ+fqLDctMcWW?=
 =?us-ascii?q?pBRdtaWyhYDo+hc4cDE+8NMOBFpIf/ulQOtwOzCwmyCu3yxD9HhHH50rE13O?=
 =?us-ascii?q?ouCgzJxg8tE84UvXjIttj4NqEfWv21wqnSyjXDautb1zPg6IfSdBAqvPWCXb?=
 =?us-ascii?q?VrccXP1EIhFhnKjk+MpozkJTyey/gDs2mD7+pnUeKvj3MspgZzojiy3MgsjI?=
 =?us-ascii?q?vJhoUOyl/a7yl5z5w6JcekR056e9GoCoFQtyCCN4txRsMiR3pltzohyr0HpZ?=
 =?us-ascii?q?G3ZjYFyI8+yhPZdveJfY+I4hf5W+aQJzd1nG5qeKm+hxmu60Sv1Pb8WtG70F?=
 =?us-ascii?q?lQtCpKjtjMuWoX1xzS8siHTf99/kO71TmT0ADT7+dJKl03m6rDM5Mt36I8mo?=
 =?us-ascii?q?AOvUjfAiP6gkb7gLGMekk6+uWk8+fqbqj8qpOALYN4lxvyPrkylsG7B+kzLx?=
 =?us-ascii?q?IAUHKB+eum0b3u5Uj5QLJXgfIoiqTZq5XaJdgDpq6+Hg9Vzp4v6xahADei19?=
 =?us-ascii?q?QVhXcGI0xedxKClYfpOlXOLOrkAvekglSjjC1nyO7dPrH5A5XNKGbMkKv5cL?=
 =?us-ascii?q?pg90JQ0hc/wcxD655OCbwNPuj/VlHxudDACx82KQ20w+LpCNVn0YMeXHqCAq?=
 =?us-ascii?q?2EMKzIt1+I5OUvI/KSa4MPtzbyMeIl6OLvjXAjg1MdZ6ip3YMQaHC8GvRrOF?=
 =?us-ascii?q?mWYWHtgtgdC2sFoBE+QPTwiFKeST5Te2qyX6Uk6zw0FI6qE4jOS4O2jbOcwi?=
 =?us-ascii?q?i0BYZZZn1JClCXC3voeIOEW+oWZCKVOM9hnSQOVaK9RI85yRGuqAj6xqJ5Ie?=
 =?us-ascii?q?rQ+y0ZtInu1Ndz5+3Ojx0y8iZ0D8vOm12KGkxwnys6TiU7wLt8oE01nlqH0L?=
 =?us-ascii?q?pQjPpFU9tJ6KUafB09MMv+0uV8Q/L1QQ+JUd6TQ1evCu+nGTY1SpplwcIHZU?=
 =?us-ascii?q?R6ANjkgRnZ1CujRaUUj7uPALQ/6aPXmXXqcZUug03a3bUs2gF1CvBEMner0+?=
 =?us-ascii?q?smr1De?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2EXFwDbV39e/xlSZApmHAEBAQEBBwE?=
 =?us-ascii?q?BEQEEBAEBgXsCgSOBcIExCoQQg0iLY4FBJQ+LRY16gXoKAQEBDh8QBAEBAoE?=
 =?us-ascii?q?Cg0ACglY7Aw0CAwEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4hAQM?=
 =?us-ascii?q?HCgE3DII7KQFufQEBAQEBAQEBAQEBAQEBAQEBAQEBFgIfVBRDAQEBAgEjDwF?=
 =?us-ascii?q?GBQkCCwQBCDUCAhs8BhODJ4Jcq2SBMhoCg2GFHoE+BYEzgWWLSoEcgREzA4J?=
 =?us-ascii?q?ePodggl4EsGUHgj+CKIU5jygYEQSDSot0A4wnhGCiHIRIAwGBOz0CgWYzGoN?=
 =?us-ascii?q?fCUcYkh17iVtzAo8RAQE?=
X-IPAS-Result: =?us-ascii?q?A2EXFwDbV39e/xlSZApmHAEBAQEBBwEBEQEEBAEBgXsCg?=
 =?us-ascii?q?SOBcIExCoQQg0iLY4FBJQ+LRY16gXoKAQEBDh8QBAEBAoECg0ACglY7Aw0CA?=
 =?us-ascii?q?wEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4hAQMHCgE3DII7KQFuf?=
 =?us-ascii?q?QEBAQEBAQEBAQEBAQEBAQEBAQEBFgIfVBRDAQEBAgEjDwFGBQkCCwQBCDUCA?=
 =?us-ascii?q?hs8BhODJ4Jcq2SBMhoCg2GFHoE+BYEzgWWLSoEcgREzA4JePodggl4EsGUHg?=
 =?us-ascii?q?j+CKIU5jygYEQSDSot0A4wnhGCiHIRIAwGBOz0CgWYzGoNfCUcYkh17iVtzA?=
 =?us-ascii?q?o8RAQE?=
X-IronPort-AV: E=Sophos;i="5.72,316,1580770800"; d="scan'208,217";a="29324905"
Received: from unknown (HELO webmail.csic.es) ([10.100.82.25])
 by cel1.sgai.csic.es with ESMTP; 28 Mar 2020 15:03:16 +0100
Received: from webmail2-pro (localhost [127.0.0.1])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807e)
 by webmail.csic.es (Postfix) with ESMTPSA id 846683161358;
 Sat, 28 Mar 2020 15:03:14 +0100 (CET)
Received: from static.109.1.0.81.ibercom.com (static.109.1.0.81.ibercom.com
 [81.0.1.109]) by webmail.csic.es (Horde Framework) with HTTP; Sat, 28 Mar
 2020 15:03:14 +0100
Date: Sat, 28 Mar 2020 15:03:14 +0100
Message-ID: <20200328150314.Horde.JkN5R_26i9JhryxTWM7HZSj@HIDDEN>
From: Juan Jose Garcia Ripoll <juanjose.garcia.ripoll@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN> <834ku89anf.fsf@HIDDEN>
In-Reply-To: <834ku89anf.fsf@HIDDEN>
User-Agent: Horde Application Framework 5
Content-Type: multipart/alternative; boundary="=_itIC9Vr7Es5iUPFL3FCSp2g"
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This message is in MIME format.

--=_itIC9Vr7Es5iUPFL3FCSp2g
Content-Type: text/plain; charset=utf-8; format=flowed; DelSp=Yes
Content-Description: =?utf-8?b?U8OzbG8=?= texto
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

  Eli Zaretskii <eliz@HIDDEN> escribió:

> Thanks, that is very useful.  Does the patch below give good results,
> both in your Gnus scenario and when epg-find-configuration is called
> in other contexts you are aware of and use?

To me it works perfectly. No errors reported, neither here, nor in  
separate invocations. Thanks!
   Juan José García Ripoll

Instituto de Física Fundamental, CSIC
Calle Serrano 113b, Madrid 28006, Spain
Phone: (+34) 915616800 (dial 943107 when hearing the voice)
http://quinfog.iff.csic.es / http://juanjose.garciaripoll.com

--=_itIC9Vr7Es5iUPFL3FCSp2g
Content-Type: text/html; charset=utf-8
Content-Description: Mensaje HTML
Content-Disposition: inline

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title></title>
</head>
<body style="font-family:Arial;font-size:14px">
<p>Eli Zaretskii &lt;<a href="mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; escribi&oacute;:</p>
<blockquote style="border-left:2px solid blue;margin-left:2px;padding-left:12px;" type="cite">
<p>Thanks, that is very useful.&nbsp; Does the patch below give good results,<br>
both in your Gnus scenario and when epg-find-configuration is called<br>
in other contexts you are aware of and use?</p>
</blockquote>
<p>To me it works perfectly. No errors reported, neither here, nor in separate invocations. Thanks!</p>
<div>
<p><span style="font-family:arial,helvetica,sans-serif;"><span style="color:#006699;"><span style="font-size:16px;">Juan Jos&eacute; Garc&iacute;a Ripoll</span></span><br>
<br>
Instituto de F&iacute;sica Fundamental, CSIC<br>
Calle Serrano 113b, Madrid 28006, Spain<br>
Phone: (+34) 915616800 (dial 943107 when hearing the voice)<br>
<a href="http://quinfog.iff.csic.es">http://quinfog.iff.csic.es</a>&nbsp;/&nbsp;<a href="http://juanjose.garciaripoll.com">http://juanjose.garciaripoll.com</a></span></p>
</div>
</body>
</html>
--=_itIC9Vr7Es5iUPFL3FCSp2g--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 28 Mar 2020 09:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 05:17:33 2020
Received: from localhost ([127.0.0.1]:33654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI7av-0002au-Av
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:17:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jI7at-0002ai-MR
 for 40248 <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:17:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59343)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jI7ao-00041m-3x; Sat, 28 Mar 2020 05:17:26 -0400
Received: from [176.228.60.248] (port=4803 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jI7an-0005l8-GO; Sat, 28 Mar 2020 05:17:25 -0400
Date: Sat, 28 Mar 2020 12:17:28 +0300
Message-Id: <83tv287s9j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87a740ub2r.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 28 Mar 2020 09:40:12 +0100)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN> <87a740ub2r.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: juanjose.garcia.ripoll@HIDDEN, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Juan Jos Garca-Ripoll
>  <juanjose.garcia.ripoll@HIDDEN>,
>   40248 <at> debbugs.gnu.org
> Date: Sat, 28 Mar 2020 09:40:12 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Lars, can you or someone of the Gnus team tell why
> > nnimap-open-connection-1 binds coding-system-for-* to 'binary?  I
> > don't understand the rationale, as the code which uses this connection
> > seems to expect ASCII text in response.
> 
> The IMAP connections (as do most network protocols) operate on octets,
> not ASCII.

But then only the encoding of the network process started by
nnimap-open-connection-1 should be made no-conversion.  By contrast,
binding coding-system-for-* around the call to open-network-stream has
much wider consequences, as it affects _any_ code run as part of
open-network-stream, in particularly epg-find-configuration, which has
nothing to do with the network stream.  nnimap-open-connection-1 is a
large function, so that binding affects quite a lot more than just the
network process it creates.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 28 Mar 2020 08:40:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 04:40:24 2020
Received: from localhost ([127.0.0.1]:33643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI70y-00081V-3y
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 04:40:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jI70x-00081H-4z
 for 40248 <at> debbugs.gnu.org; Sat, 28 Mar 2020 04:40:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LmP0vsKUF+bhOCroRXTb1l7QZreX0EiFXm85+wJe6qE=; b=dqg+m07zDlCEPmbNSzbu/SHGL7
 WEpjgd1AteHKPHZEMkQv2tGu2SDpkGHeSxas0C9zIgieiIaBP0Su2bXfJ8FM1QLpUhYF5sYD/SGhz
 d0KlGyP95YFdDL9XWVoH80W79ASyIOUr89MjqdumR4XMz+j0TOv+ZrfM/OawCsI6Y5ek=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jI70n-0006be-OT; Sat, 28 Mar 2020 09:40:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
 <834ku89anf.fsf@HIDDEN>
Date: Sat, 28 Mar 2020 09:40:12 +0100
In-Reply-To: <834ku89anf.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 Mar
 2020 10:55:00 +0300")
Message-ID: <87a740ub2r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Lars,
 can you or someone
 of the Gnus team tell why > nnimap-open-connection-1 binds coding-system-for-*
 to 'binary? I > don't understand the rationale, as the code which uses this
 connection > seems [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40248
Cc: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>, 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Lars, can you or someone of the Gnus team tell why
> nnimap-open-connection-1 binds coding-system-for-* to 'binary?  I
> don't understand the rationale, as the code which uses this connection
> seems to expect ASCII text in response.

The IMAP connections (as do most network protocols) operate on octets,
not ASCII.  It is common, though, for most email messages to use some
transfer encoding (so that it's mostly ASCII in practice), but anything
can be transferred via IMAP.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 28 Mar 2020 07:55:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 03:55:04 2020
Received: from localhost ([127.0.0.1]:33621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI6J6-0006kq-Gx
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 03:55:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jI6J4-0006kJ-VW
 for 40248 <at> debbugs.gnu.org; Sat, 28 Mar 2020 03:55:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58654)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jI6Iz-0001Xo-Dq; Sat, 28 Mar 2020 03:54:57 -0400
Received: from [176.228.60.248] (port=3298 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jI6Iy-0006t0-Ta; Sat, 28 Mar 2020 03:54:57 -0400
Date: Sat, 28 Mar 2020 10:55:00 +0300
Message-Id: <834ku89anf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
In-Reply-To: <86sght3h1s.fsf@HIDDEN> (juanjose.garcia.ripoll@HIDDEN)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN> <86sght3h1s.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juan José García-Ripoll
>  <juanjose.garcia.ripoll@HIDDEN>
> Cc: 40248 <at> debbugs.gnu.org
> Date: Fri, 27 Mar 2020 17:21:03 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> >> Date: Fri, 27 Mar 2020 11:18:43 +0300
> >> From: Eli Zaretskii <eliz@HIDDEN>
> >> Cc: 40248 <at> debbugs.gnu.org
> >
> > I understand you have some potentially useful backtraces which show
> > how epg-find-configuration is improperly called in this case.  If so,
> > please do provide any information about this you have.
> 
> epg-find-configuration is called via the backtrace below. I have edited
> some personal information and domain names. The call chain looks
> legit. The problems are in nnimap-open-connection-1 and upwards, where
> the read encoding is set to binary.

Thanks, that is very useful.  Does the patch below give good results,
both in your Gnus scenario and when epg-find-configuration is called
in other contexts you are aware of and use?

Lars, can you or someone of the Gnus team tell why
nnimap-open-connection-1 binds coding-system-for-* to 'binary?  I
don't understand the rationale, as the code which uses this connection
seems to expect ASCII text in response.  What am I missing?  (I tried
to find the change(s) which introduced those bindings, but that seems
to have been done when Gnus was maintained on a separate Git
repository, and the relevant commits aren't visible in the Emacs
repository.)

diff --git a/lisp/epg-config.el b/lisp/epg-config.el
index 74ab651..daa9a5a 100644
--- a/lisp/epg-config.el
+++ b/lisp/epg-config.el
@@ -183,10 +183,18 @@ epg-find-configuration
 (defun epg-config--make-gpg-configuration (program)
   (let (config groups type args)
     (with-temp-buffer
-      (apply #'call-process program nil (list t nil) nil
-	     (append (if epg-gpg-home-directory
-			 (list "--homedir" epg-gpg-home-directory))
-		     '("--with-colons" "--list-config")))
+      ;; The caller might have bound coding-system-for-* to something
+      ;; like 'no-conversion, but the below needs to call PROGRAM
+      ;; expecting human-readable text in both directions (since we
+      ;; are going to parse the output as text), so let Emacs guess
+      ;; the encoding of that text by its usual encoding-detection
+      ;; machinery.
+      (let ((coding-system-for-read 'undecided)
+            (coding-system-for-write 'undecided))
+        (apply #'call-process program nil (list t nil) nil
+	       (append (if epg-gpg-home-directory
+			   (list "--homedir" epg-gpg-home-directory))
+		       '("--with-colons" "--list-config"))))
       (goto-char (point-min))
       (while (re-search-forward "^cfg:\\([^:]+\\):\\(.*\\)" nil t)
 	(setq type (intern (match-string 1))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 27 Mar 2020 16:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 12:21:16 2020
Received: from localhost ([127.0.0.1]:33274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHrjP-0000Ke-PG
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 12:21:16 -0400
Received: from cel1.sgai.csic.es ([161.111.10.57]:64870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHrjN-0000KR-Am
 for 40248 <at> debbugs.gnu.org; Fri, 27 Mar 2020 12:21:14 -0400
IronPort-SDR: z/zFagWp81ihHJxV3wLQ4drGYxcTjTdJvlMfypskwwh7LQRSIGXtxBc0gjb2VW9mZYFxVs8DNa
 +g5KLV6lhKv+dgwQoS8GiQaT2hT6IYqOOWGvzkcGXbmHl+a5t5VzC1LfQBsuD87cBnCV6eYemE
 bspQ/7JFlB9MT49BOV7WUg2R/n0xEc+vHpZ93qUgAK0GZNNlufdzSbpCciZQItQ/E5O9rwP6VR
 C2MAO55tXCG3yJaPaWqjYWpBi7effQbqYQw9DV/t5yGq7THY0a9Ee8hbBD5cPf5iD/NLu26FLt
 bl4=
IronPort-PHdr: =?us-ascii?q?9a23=3AUQrQkhNiYQdD1V6qmbYl6mtUPXoX/o7sNwtQ0K?=
 =?us-ascii?q?IMzox0I/v6rarrMEGX3/hxlliBBdydt6sYzbOL4uuwAiQp2tWojjMrSNR0TR?=
 =?us-ascii?q?gLiMEbzUQLIfWuLgnFFsPsdDEwB89YVVVorDmROElRH9viNRWJ+iXhpTEdFQ?=
 =?us-ascii?q?/iOgVrO+/7BpDdj9it1+C15pbffxhEiCCybL9vIxi6txjdu8kSjIdtKas8xA?=
 =?us-ascii?q?bCr2dVdehR2W5nKlWfkgrm6Myt5pBj6SNQu/wg985ET6r3erkzQKJbAjo7LW?=
 =?us-ascii?q?07/dXnuhbfQwSB4HscSXgWnQFTAwfZ9hH6X4z+vTX8u+FgxSSVJ8z2TbQzWT?=
 =?us-ascii?q?S/86dmTQLjhSkbOzIl9mzcl9d9h7xHrh2/uxN/wpbUYICLO/p4YqPdZs4RSW?=
 =?us-ascii?q?5YUspMSyBNHoawYo0SBOQDIOlYtZHwqVsQoxWjCwmiCuHgxDxGiXD5waI03P?=
 =?us-ascii?q?8sER3f3AE6A94CrG7ZodfzOawPUe611q7IzTDbYv1SxDfy8o7IeQ0lr/GLRr?=
 =?us-ascii?q?J3a9Lex0g1GAPfklqXt5bqMyqJ2OQMq2ib6O5gVeaygGMgqQFxvyKgxsEuio?=
 =?us-ascii?q?nOnYIa1ErI9Spjz4YvOdK4SVR0bcS+EJtRryGaMI92Qsc5Tm50oyY6y6EJtY?=
 =?us-ascii?q?SlcygR0ZkqwQPUZfKAc4iN+B3jVeCRLC9+hHJidrO/hwi98VK+xeHmUcm0yl?=
 =?us-ascii?q?lKojJFktbXrH8NzQbf5dacSvZ740yv2i6P2hjO5u1YO0w4iLbXJ4I7zrMziJ?=
 =?us-ascii?q?Yfq0TOEjPulEj1kaOabFko9vK15+j9f7nqupuROolpgQ/kKKsugNawAeEgPw?=
 =?us-ascii?q?gLWGiU5Pqz2aX4/U38XLVKlvo2krTFsJzCJcQUuKq5AwhN34Y47ha/Ey+m0N?=
 =?us-ascii?q?UenXUdMF1FYxOHgJTzN17QO/D0Ffa/g1Kynzd33/3KI6HtDo/QInTfjLvtZ7?=
 =?us-ascii?q?Vw51BGxAcz0dxT/5dUBasAIPL3VE/xrtvYDhohPgy23uboEtN91oEZWWKUHK?=
 =?us-ascii?q?CVKqzSvkWS5u0zIumDfpUZuCz8K/g94P7uiXs5lEQBcqmy3JsYdGq0Eep9I0?=
 =?us-ascii?q?mBe3rjns8BEXsWvgo5VOHnh0GOXSBcanuxRK8z+y80B5m9AofeSYCtm6aN3C?=
 =?us-ascii?q?i9Hp1LfGxGDUqMEXjwfYWeR/gMcD6SItNmkjEcS7ehT44h1BC1uQ/1zbpnM/?=
 =?us-ascii?q?DY+ioCtZLsh5BJ4Lj+kRB6xzVuAtiG0GCMBzV5mmIabzAwweZ4u0MrmXmZ1q?=
 =?us-ascii?q?0toeFRE5Rx4OjIZSgzL5VZxqlACsj1XgaJKtWUQVCkRc6rRz44VNkwypkUYl?=
 =?us-ascii?q?56H9GKhQvC1GynGOlGxPSwGJUo//eEjDDKLMFnxiODjfF5gg=3D=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2GnAAAoJ35e/zJSZApmGgEBAQEBAQE?=
 =?us-ascii?q?BAQMBAQEBEQEBAQICAQEBAYF7gX2BGIExhBqPKoFmgQGKU490CgEBAQ4fEAQ?=
 =?us-ascii?q?BAYREAoJWOBMCAwEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4hAQM?=
 =?us-ascii?q?HCgE3DII7KQGDYQIBAyNWEAsNBwEFAgUhAgIPAQRJExqDBAmwDIEyGgKFL4Q?=
 =?us-ascii?q?cgQSBDiqBZYtKgRyBEYJfNT6CNoF2AQEIGIMSgl4EsF0Hgj+CKIU3jy0dgky?=
 =?us-ascii?q?BAocthCkcAxCMFoRfnDGKJoFpgXszg3kJRxiTGIQZhUJzjkFcAQE?=
X-IPAS-Result: =?us-ascii?q?A2GnAAAoJ35e/zJSZApmGgEBAQEBAQEBAQMBAQEBEQEBA?=
 =?us-ascii?q?QICAQEBAYF7gX2BGIExhBqPKoFmgQGKU490CgEBAQ4fEAQBAYREAoJWOBMCA?=
 =?us-ascii?q?wEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4hAQMHCgE3DII7KQGDY?=
 =?us-ascii?q?QIBAyNWEAsNBwEFAgUhAgIPAQRJExqDBAmwDIEyGgKFL4QcgQSBDiqBZYtKg?=
 =?us-ascii?q?RyBEYJfNT6CNoF2AQEIGIMSgl4EsF0Hgj+CKIU3jy0dgkyBAocthCkcAxCMF?=
 =?us-ascii?q?oRfnDGKJoFpgXszg3kJRxiTGIQZhUJzjkFcAQE?=
X-IronPort-AV: E=Sophos;i="5.72,313,1580770800"; d="scan'208";a="29301240"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.50])
 by cel1.sgai.csic.es with ESMTP; 27 Mar 2020 17:21:06 +0100
Received: from DESKTOP-3A8AAJ0 (unknown [81.0.1.109])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 6A40E10A8F91;
 Fri, 27 Mar 2020 17:21:05 +0100 (CET)
From: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
 <83ftdt9b1d.fsf@HIDDEN>
Date: Fri, 27 Mar 2020 17:21:03 +0100
In-Reply-To: <83ftdt9b1d.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Mar
 2020 16:34:22 +0300")
Message-ID: <86sght3h1s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:
>> Date: Fri, 27 Mar 2020 11:18:43 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: 40248 <at> debbugs.gnu.org
>
> I understand you have some potentially useful backtraces which show
> how epg-find-configuration is improperly called in this case.  If so,
> please do provide any information about this you have.

epg-find-configuration is called via the backtrace below. I have edited
some personal information and domain names. The call chain looks
legit. The problems are in nnimap-open-connection-1 and upwards, where
the read encoding is set to binary.


  epg-config--make-gpg-configuration("c:/msys64/usr/bin/gpg.exe")
  epg-find-configuration(OpenPGP)
  epg-context--make(OpenPGP nil nil nil nil nil nil)
  epg-make-context()
  epa-file-insert-file-contents("c:/Users/me/OneDrive/Library/dot.authinfo.=
gpg" nil nil nil nil)
  apply(epa-file-insert-file-contents ("c:/Users/me/OneDrive/Library/dot.au=
thinfo.gpg" nil nil nil nil))
  epa-file-handler(insert-file-contents "c:/Users/me/OneDrive/Library/dot.a=
uthinfo.gpg" nil nil nil nil)
  insert-file-contents("~/OneDrive/Library/dot.authinfo.gpg")
  auth-source-netrc-parse(:max 1 :require (:user :secret) :file "~/OneDrive=
/Library/dot.authinfo.gpg" :host ("mail" "mail.nowhere.org") :user t :port =
(993 "imaps" "imap" "993" "143"))
  auth-source-netrc-search(:backend #<auth-source-backend auth-source-backe=
nd-2dd74b0> :type netrc :max 1 :require (:user :secret) :create nil :delete=
 nil :max 1 :host ("mail" "mail.nowhere.org") :port (993 "imaps" "imap" "99=
3" "143") :user nil :require (:user :secret) :create t)
  apply(auth-source-netrc-search :backend #<auth-source-backend auth-source=
-backend-2dd74b0> :type netrc :max 1 :require (:user :secret) :create nil :=
delete nil (:max 1 :host ("mail" "mail.nowhere.org") :port (993 "imaps" "im=
ap" "993" "143") :user nil :require (:user :secret) :create t))
  auth-source-search-backends((#<auth-source-backend auth-source-backend-2d=
d74b0>) (:max 1 :host ("mail" "mail.nowhere.org") :port (993 "imaps" "imap"=
 "993" "143") :user nil :require (:user :secret) :create t) 1 nil nil (:use=
r :secret))
  auth-source-search(:max 1 :host ("mail" "mail.nowhere.org") :port (993 "i=
maps" "imap" "993" "143") :user nil :require (:user :secret) :create t)
  nnimap-credentials(("mail" "mail.nowhere.org") (993 "imaps" "imap" "993" =
"143") nil)
  nnimap-open-connection-1(#<buffer  *nntpd*>)
  nnimap-open-connection(#<buffer  *nntpd*>)
  nnimap-open-server("mail" ((nnimap-address "mail.nowhere.org") (nnimap-se=
rver-port 993) (nnimap-stream ssl) (nnimap-fetch-partial-articles t) (nnmai=
l-expiry-target "nnimap+mail:Trash") (nnir-search-engine imap)))
  gnus-open-server((nnimap "mail" (nnimap-address "mail.nowhere.org") (nnim=
ap-server-port 993) (nnimap-stream ssl) (nnimap-fetch-partial-articles t) (=
nnmail-expiry-target "nnimap+mail:Trash") (nnir-search-engine imap)))
  gnus-get-unread-articles(nil nil)
  gnus-setup-news(nil nil nil)
  #f(compiled-function () #<bytecode 0x2dd4e65>)()
  gnus-1(nil nil nil)
  gnus(nil)
  funcall-interactively(gnus nil)
  call-interactively(gnus record nil)
  command-execute(gnus record)
  execute-extended-command(nil "gnus" "gnus")
  funcall-interactively(execute-extended-command nil "gnus" "gnus")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)


--=20
Juan Jos=C3=A9 Garc=C3=ADa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 27 Mar 2020 13:34:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 09:34:28 2020
Received: from localhost ([127.0.0.1]:60634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHp80-00046R-2p
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 09:34:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jHp7y-00046C-1O
 for 40248 <at> debbugs.gnu.org; Fri, 27 Mar 2020 09:34:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40279)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jHp7s-0003NH-Fc; Fri, 27 Mar 2020 09:34:20 -0400
Received: from [176.228.60.248] (port=3726 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jHp7r-0008QK-St; Fri, 27 Mar 2020 09:34:20 -0400
Date: Fri, 27 Mar 2020 16:34:22 +0300
Message-Id: <83ftdt9b1d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: juanjose.garcia.ripoll@HIDDEN
In-Reply-To: <83lfnm8b30.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 27
 Mar 2020 11:18:43 +0300)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN> <83lfnm8b30.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Fri, 27 Mar 2020 11:18:43 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 40248 <at> debbugs.gnu.org

I understand you have some potentially useful backtraces which show
how epg-find-configuration is improperly called in this case.  If so,
please do provide any information about this you have.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.

Message received at 40248 <at> debbugs.gnu.org:


Received: (at 40248) by debbugs.gnu.org; 27 Mar 2020 08:18:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 04:18:51 2020
Received: from localhost ([127.0.0.1]:60506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHkCZ-0008V3-AP
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 04:18:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jHkCW-0008Up-TZ
 for 40248 <at> debbugs.gnu.org; Fri, 27 Mar 2020 04:18:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52555)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jHkCR-0007Rw-PN; Fri, 27 Mar 2020 04:18:43 -0400
Received: from [176.228.60.248] (port=4231 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jHkCR-0003Rp-5h; Fri, 27 Mar 2020 04:18:43 -0400
Date: Fri, 27 Mar 2020 11:18:43 +0300
Message-Id: <83lfnm8b30.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
In-Reply-To: <86bloi1zrj.fsf@HIDDEN> (juanjose.garcia.ripoll@HIDDEN)
Subject: Re: bug#40248: 27.0.90; Failure open .authinfo.gpg from Gnus
References: <86bloi1zrj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40248
Cc: 40248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juan José García Ripoll
>  <juanjose.garcia.ripoll@HIDDEN>
> Date: Fri, 27 Mar 2020 00:07:28 +0100
> 
> 1. Gnus calls nnimap-open-connection-1
> 2. nnimap-open-connection-1 binds (coding-system-for-read 'binary)
> 3. nnimap-credentials is invoked, which starts a chaing of calls ending
> up in epg-config--make-gpg-configuration
> 4. This function uses call-process

Can you provide more details regarding the chain of calls mentioned in
3 above?

> 5. Because the coding system is set to 'binary, the DOS ^M characters
> are exposed and stored in the temporary buffer.

If you use add-variable-watcher to watch any changes to
coding-system-for-read, does that allow to tell where does it get set
to 'binary' in this recipe?

> a. Set a suitable value for the encoding around call-process in
> epg-config--make-gpg-configuration. Unfortunately, I do not know which
> value would work in non-Windows platforms.

I don't think this is viable, and not only for Windows, because
there isn't sufficient context at this point to decide which encoding
to use.  This must be decided at a higher level, specifically where
coding-system-for-read is set to 'binary'.

> b. Rewrite all regexps in epg-config--make-gpg-configuration to ignore
> ^M characters.

That'd be a kludge in my book: working around our own bugs, instead of
fixing them.

> -  (let (config groups type args)
> +  (let (config groups type args (coding-system-for-read nil))

Setting coding-system-for-read to nil is not a good idea.  How do you
know what that means, and how it will affect the called process?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.
Added indication that bug 40248 blocks39200 Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2020 23:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 19:07:37 2020
Received: from localhost ([127.0.0.1]:60361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHbb7-0004eS-AE
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 19:07:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:49905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbb6-0004eK-CV
 for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 19:07:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56078)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbb4-0001aB-Pq
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 19:07:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.1 required=5.0 tests=AC_FROM_MANY_DOTS,BAYES_50,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbb3-00008N-5L
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 19:07:34 -0400
Received: from cel1.sgai.csic.es ([161.111.10.57]:8011)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <juanjose.garcia.ripoll@HIDDEN>)
 id 1jHbb2-0008WQ-Ql
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 19:07:33 -0400
IronPort-SDR: aIcuafTQF2cxFkzNyfQogEmTcVD/dMSs1f4C0AucF7dYu8ctDRsTUoHgZA3sGAtXquYKi5/GHT
 dIoT1YRkBlP9gTRuCf6DMxjaG9PmQ4ae5CwckSkp2l9cfZRVQwJkYusN0yBSPC9alU68f649w6
 mKasCF8P4DCfWV46C5torXVPS3bHrJRBVrLIQvJKBsLS8XGK6Yp9mXDIyhqcmm96CQphq4fl+R
 OALFrEVmvpYiF20T89/A6bgSGvYxWd0lrgY7Y6B3Mi9CuThNRCxBvDj5Uc/jjAdwJQlHw3quKk
 1+M=
IronPort-PHdr: =?us-ascii?q?9a23=3AjRND6x0mjC6StV4CsmDT+DRfVm0co7zxezQtwd?=
 =?us-ascii?q?8ZseITLPad9pjvdHbS+e9qxAeQG9mCt7Qd1rWd6vi7EUU7or+/81k6OKRWUB?=
 =?us-ascii?q?EEjchE1ycBO+WiTXPBEfjxciYhF95DXlI2t1uyMExSBdqsLwaK+i764jEdAA?=
 =?us-ascii?q?jwOhRoLerpBIHSk9631+ev8JHPfglEnjWwba59IRmssAnctssbjYR/JqotxB?=
 =?us-ascii?q?bCv2dFdflRyW50Kl2fmArx6N2t95B56SRQvPwh989EUarkeqkzUKJVAjc7PW?=
 =?us-ascii?q?0r/cPnrRbMQxeB6XsaSWUWjwFHAxPZ4xHgX5f+qTX1u+xg0ySHJ8L2TLQ0WT?=
 =?us-ascii?q?O/76d3TRLjlSkKOyIl/GzRl8d9ir9QrhC8qBxl24PaYJ+bOudwcK3ectwVWW?=
 =?us-ascii?q?VPU91NVyxYGI6wc5cDA/YDMOtesoLzp0EOrRy7BQS0AO3v1yVHhnnu0qM+1O?=
 =?us-ascii?q?QhChvB0xQhEd0UqnTbsMvyO70KXu6pzanI1TLDb/dS2Tzg74XIcA0hruuKXb?=
 =?us-ascii?q?JydsrR0lcgGxnKjlqKs4zqIzKV2f4Xv2iB7upgTeWvi2ojqwxqvjev3cYshZ?=
 =?us-ascii?q?XTio0L0VDJ7CN0y5s7K92/TU50e9+kEJ1IuiGaLIR5WNkiT3t2tyYhzLANpJ?=
 =?us-ascii?q?21fDASxZg62xLTceGLf5SU7h75V+udPy10iXJ5dL6nhBu+7FKsxvHmWsWpyl?=
 =?us-ascii?q?pGszZJn93Ku3sQzRLc8NKHReF4/kq53DaP0B3c5f9cLEAvkKrbN4Yhwrktlp?=
 =?us-ascii?q?oPqUjDHjH5mEHxjKKObUUk//So6/zmYrXgvJOTK5R0igDiPag0hMO/Gvw0Mg?=
 =?us-ascii?q?kIX2eF5eSxzKDv8VHjTLlXkvE6jrPVvZPEKcgBpqO1HxdZ0oM55Ba+Czem3s?=
 =?us-ascii?q?4YnX4CLF9dehKHkpLmO1fMIPD/FvewnU6gkDhxyPDcIrLhA4/CImLZkLfgZb?=
 =?us-ascii?q?Z97EpcyA4owN9D/JJUC60OLOjtVU/qrNDYFAM2MxSow+b7D9VwzpgRWX+AAq?=
 =?us-ascii?q?OAP6PSt0KI6vsxLOmJfoAapC39JuMq5/7okH81g1gdfbOm3chfVHftFOlpZk?=
 =?us-ascii?q?qffD/hh94KCk8FuBd4S/bl23OYVjsGRWu7WZUe4Sq6P62vF4xGT7eXgaSG2C?=
 =?us-ascii?q?PzSp9Lb2ZEDUuBV3jhbY6FUrEWaTqVJstJmScFXv6sUNlyhlmVqAbmxu8/fa?=
 =?us-ascii?q?Lv8SoCuMe72Q=3D=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2EfFAC0NH1e/zJSZApmHQEBAQkBEQU?=
 =?us-ascii?q?FAYF7AoF2gR2BMYQag0iLX4RziEaDO4d5glmBZwoBAQEOEwgUBAEBgQSGFjg?=
 =?us-ascii?q?TAgMBAQEDAgUBAQEFAQEBAQEBBAMBAQECbQEBBwoCAYROIQEDBwoBNwxCARA?=
 =?us-ascii?q?BgWcigXOBM2xGATcNAgUMAQEBEgIRATkBRIMJsS6BMhoCg2GBToQegQSBDio?=
 =?us-ascii?q?BgWSLSIEcgRABh1YSARECAQhXCQIFgkOCXgSNXgqJKJlHB4I/giiFN4l0gmm?=
 =?us-ascii?q?CTR2CTIECi1IcAxCME4RfogyESIFpgQpxM4ENgmwJRxhkjSskAwEWhEuJW3O?=
 =?us-ascii?q?IUIQOAg8VBoIXAQE?=
X-IPAS-Result: =?us-ascii?q?A2EfFAC0NH1e/zJSZApmHQEBAQkBEQUFAYF7AoF2gR2BM?=
 =?us-ascii?q?YQag0iLX4RziEaDO4d5glmBZwoBAQEOEwgUBAEBgQSGFjgTAgMBAQEDAgUBA?=
 =?us-ascii?q?QEFAQEBAQEBBAMBAQECbQEBBwoCAYROIQEDBwoBNwxCARABgWcigXOBM2xGA?=
 =?us-ascii?q?TcNAgUMAQEBEgIRATkBRIMJsS6BMhoCg2GBToQegQSBDioBgWSLSIEcgRABh?=
 =?us-ascii?q?1YSARECAQhXCQIFgkOCXgSNXgqJKJlHB4I/giiFN4l0gmmCTR2CTIECi1IcA?=
 =?us-ascii?q?xCME4RfogyESIFpgQpxM4ENgmwJRxhkjSskAwEWhEuJW3OIUIQOAg8VBoIXA?=
 =?us-ascii?q?QE?=
X-IronPort-AV: E=Sophos;i="5.72,310,1580770800"; d="scan'208";a="26440835"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.50])
 by cel1.sgai.csic.es with ESMTP; 27 Mar 2020 00:07:29 +0100
Received: from DESKTOP-3A8AAJ0 (unknown [81.0.1.109])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 3C98B10A8EC2
 for <bug-gnu-emacs@HIDDEN>; Fri, 27 Mar 2020 00:07:29 +0100 (CET)
From: =?utf-8?Q?Juan_Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.90; Failure open .authinfo.gpg from Gnus
Date: Fri, 27 Mar 2020 00:07:28 +0100
Message-ID: <86bloi1zrj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x [fuzzy]
X-Received-From: 161.111.10.57
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Symptoms:
0. Install Gnu Privacy Guard for Windows or similar (non-msys) alternatives
1. Save login information in .authinfo.gpg
2. Launch Emacs on Windows
3. Launch Gnus (assumes an imap account is configured with a server in .aut=
hinfo.gpg)
4. Gnus cannot connect to the IMAP server.

What is happening:
1. Gnus calls nnimap-open-connection-1
2. nnimap-open-connection-1 binds (coding-system-for-read 'binary)
3. nnimap-credentials is invoked, which starts a chaing of calls ending
up in epg-config--make-gpg-configuration
4. This function uses call-process
5. Because the coding system is set to 'binary, the DOS ^M characters
are exposed and stored in the temporary buffer.
6. When epg-config--make-gpg-configuration parses the output from
gpg.exe, it stores those characters in the configuration and version
fields.
7. The system cannot parse those strings and concludes that there is no
suitable gpg.exe file in the system.

Workaround:
Invoke (epg-find-configuration 'OpenPGP) from .emacs. In this situation,
Emacs' call-process uses a suitable encoding to parse the output.

Fix:
a. Set a suitable value for the encoding around call-process in
epg-config--make-gpg-configuration. Unfortunately, I do not know which
value would work in non-Windows platforms.

b. Rewrite all regexps in epg-config--make-gpg-configuration to ignore
^M characters. Unfortunately I am unfamiliar with gpg.exe's output
format to do this with confidence.

c. Revert to previous behavior in epg-config.el

--- c:/Users/juanj/scoop/apps/emacs/27/share/emacs/27.0.90/lisp/epg-config.=
el	2020-03-26 23:37:05.096603400 +0100
+++ c:/Users/juanj/scoop/apps/emacs/27/share/emacs/27.0.90/lisp/epg-config-=
new.el	2020-03-27 00:06:26.138870700 +0100
@@ -181,7 +181,7 @@
=20
 ;; Create an `epg-configuration' object for `gpg', using PROGRAM.
 (defun epg-config--make-gpg-configuration (program)
-  (let (config groups type args)
+  (let (config groups type args (coding-system-for-read nil))
     (with-temp-buffer
       (apply #'call-process program nil (list t nil) nil
 	     (append (if epg-gpg-home-directory



In GNU Emacs 27.0.90 (build 5, x86_64-w64-mingw32)
 of 2020-03-25 built on DESKTOP-3A8AAJ0
Repository revision: 4860530f3c130c6f854ea83dcc03f59e535a33ba
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro for Workstations (v10.0.1909.1=
8363.720)

Recent messages:
Sending email=20=20
Sending email done
Sending...done
command-execute: Command attempted to use minibuffer while in minibuffer
e is undefined
p is undefined
Quit
Making completion list...

ESC M-x is undefined
Quit
Configured using:
 'configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

Major mode: Emacs-Lisp

Minor modes in effect:
  ido-vertical-mode: t
  save-place-mode: t
  savehist-mode: t
  gcmh-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(gnutls epa-file network-stream nsm smtpmail qp pp shadow sort vc-git
diff-mode mailalias bbdb-mua bbdb-com crm bbdb bbdb-site timezone
org-mime ox-org org-protocol ox-reveal cl ox-odt rng-loc rng-uri
rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org org-macro org-footnote
org-pcomplete pcomplete org-list org-faces org-entities org-version
ob-python ob ob-tangle org-src ob-ref ob-lob ob-table ob-exp ob-comint
comint ansi-color ring ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat org-macs org-loaddefs noutline outline face-remap
mail-extr warnings emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg epg-config mailabbrev gmm-utils mailheader
eieio-opt speedbar sb-image ezimage dframe cal-menu calendar
cal-loaddefs thingatpt help-fns radix-tree benchmark-init-modes
mm-decode mm-bodies mm-encode mail-parse rfc2231 debug backtrace
find-func mailcap pcase ido-vertical-mode ido gnus-win gnus nnheader
gnus-util rmail rmail-loaddefs text-property-search time-date sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
dired-loaddefs grayscale-theme saveplace savehist edmacro kmacro
cus-edit cus-start cus-load wid-edit benchmark-init advice gcmh diminish
cl-extra help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf tex-site info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 411297 173966)
 (symbols 48 26521 16)
 (strings 32 148179 19593)
 (string-bytes 1 4021443)
 (vectors 16 50121)
 (vector-slots 8 1383982 345852)
 (floats 8 278 875)
 (intervals 56 1333 586)
 (buffers 1000 21))

--=20
Juan Jos=C3=A9 Garc=C3=ADa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Acknowledgement sent to Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40248; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Apr 2020 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.